Skip to content

Update Traveler Information

Request

The Traveler Update request follows an Updatable Items request and makes a change to one or more items returned in that Updatable Items response. Sent as part of a workbench session, either during the initial booking workflow (workbench not committed, PNR not issued yet) or a post-commit workbench for an existing PNR. It is followed by a workbench commit.

Security
bearerAuth
Path
ReservationResource_Identifierstring, <= 128 charactersrequired

The Reservation Identifier that contains the Traveler you wish to update

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
idstringrequired

The specific TravelerUpdatableItemsListResponse Identifier

Example:59f58f5f-c443-43b4-9f5d-be999fd00a01
Headers
TraceIdstring, [ 10 .. 89 ] characters

Identifier used to correlate Air API invocations across a multi-call business flows.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
Bodyapplication/jsonrequired
@typestringrequired

Discriminator classes TravelerQueryUpdate only

Example:"TravelerQueryUpdate"
TravelerUpdatedItemArray of objects, [ 1 .. 100 ] items(TravelerUpdatedItem)required
curl -i -X PUT \
  https://developer.travelport.com/_mock/apis/flights/air/book/traveler/reservationworkbench/49f58f5f-c443-43b4-9f5d-be405fd00a01/travelers/updatefromtravelerupdateditems/59f58f5f-c443-43b4-9f5d-be999fd00a01 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
  -d '{
    "@type": "TravelerQueryUpdate",
    "TravelerUpdatedItem": [
      {
        "@type": "TravelerUpdatedItemPersonName",
        "modifyInd": true,
        "TravelerUpdatableItemID": "6f0ae183-1ffd-4862-89a3-c8df0bd4be42",
        "PersonNameUpdatable": {
          "Given": "TESTFIRSTABC",
          "Surname": "TESTLAST"
        }
      }
    ]
  }'

Responses

OK - Successful Response - 200

Bodyapplication/json
ErrorResponseobject(ErrorResponse)

Base common error response

Response
{ "ErrorResponse": { "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "48fb4cd3-2ef6-4479-bea1-7c92721b988c", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [], "Warning": [] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "string", "id": "5", "NextStep": [] }, "ReferenceList": [ {} ], "CurrencyRateConversion": [ {} ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }